List Discord webhook endpoints
GET
/v1/discord-endpoints
const url = 'https://your-notavia-host/v1/discord-endpoints';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-notavia-host/v1/discord-endpoints \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Discord endpoints list.
Media type application/json
object
data
Array<object>
Discord webhook endpoint configuration.
object
id
string format: uuid
label
string
webhook_url_prefix
First 30 characters of the webhook URL for recognition only — full URL never returned.
string
default_username
Default bot username shown in Discord. Overridden per-send via template data.
string
default_avatar_url
Default bot avatar URL. Overridden per-send via template data.
string
last_success_at
string format: date-time
last_failure_at
string format: date-time
last_failure_reason
string
created_at
string format: date-time
Example generated
{ "data": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "label": "example", "webhook_url_prefix": "example", "default_username": "example", "default_avatar_url": "example", "last_success_at": "2026-04-15T12:00:00Z", "last_failure_at": "2026-04-15T12:00:00Z", "last_failure_reason": "example", "created_at": "2026-04-15T12:00:00Z" } ]}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}